Bug 985087 - Review Request: hadoop - A software platform for processing vast amounts of data
Review Request: hadoop - A software platform for processing vast amounts of data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On: 823122 825347 847109 858127 859110 859112 859114 864084 948589
Blocks: bigdata-review 998521 1008201 1008202
  Show dependency treegraph
 
Reported: 2013-07-16 14:34 EDT by Robert Rati
Modified: 2013-10-07 09:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 17:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Comment (78.09 KB, text/plain)
2013-08-06 13:30 EDT, gil cattaneo
no flags Details
Comment (69.86 KB, text/plain)
2013-08-08 13:11 EDT, gil cattaneo
no flags Details
Comment (71.02 KB, text/plain)
2013-08-20 15:02 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description Robert Rati 2013-07-16 14:34:11 EDT
Spec URL: http://rrati.fedorapeople.org/hadoop.spec
SRPM URL: http://rrati.fedorapeople.org/hadoop-2.0.5-1.fc19.src.rpm
Description: 
Hadoop is a framework that allows for the distributed processing of large data
sets across clusters of computers using simple programming models.  It is
designed to scale up from single servers to thousands of machines, each
offering local computation and storage.

Fedora Account System Username: rrati
Comment 1 Christopher Meng 2013-07-16 21:09:52 EDT
I'm interested in this package before.

I found many lines for el5, will you push hadoop to el5?

Thanks.
Comment 2 Matthew Farrellee 2013-07-16 21:37:17 EDT
(In reply to Christopher Meng from comment #1)
> I'm interested in this package before.
> 
> I found many lines for el5, will you push hadoop to el5?
> 
> Thanks.

The target here is F20.

Are you interested in working on the dependency tree for EPEL 5?
Comment 3 Christopher Meng 2013-07-16 21:44:26 EDT
(In reply to Matthew Farrellee from comment #2)
> (In reply to Christopher Meng from comment #1)
> > I'm interested in this package before.
> > 
> > I found many lines for el5, will you push hadoop to el5?
> > 
> > Thanks.
> 
> The target here is F20.
> 
> Are you interested in working on the dependency tree for EPEL 5?

IMO we should drop support for el5 as it's really old now in my view.

Some suggestion for the spec:

- Remove all %clean sections

- Remove BuildRoo tag

- Remove rm -rf %{buildroot} in the %install section.

- Remove %defattr(-,root,root)

And for the version tag, can we change these two from:

%global hadoop_base_version 2.0.5
%global hadoop_version %{hadoop_base_version}-alpha

to


%global hadoop_version %{version}-alpha

and put 2.0.5 into Version tag?

You can see you use nearly 20 chars to define 2.0.5, why not just put it into Version tag?

Thanks.
Comment 4 Björn "besser82" Esser 2013-07-18 15:18:10 EDT
I'll take this for review.
Comment 5 Björn "besser82" Esser 2013-07-19 06:09:34 EDT
OMG! Package has some _really_ severe issues:

  * There are some things needing further investigation / explanation I found in build.log:

      [INFO] Scanning for projects...
      [WARNING] 
      [WARNING] Some problems were encountered while building the effective
        model for org.apache.hadoop:hadoop-common:jar:2.0.5-alpha
      [WARNING] 'build.plugins.plugin.(groupId:artifactId)' must be unique but
        found duplicate declaration of plugin
        org.apache.maven.plugins:maven-surefire-plugin @ line 438, column 15
      [WARNING] 
      [WARNING] Some problems were encountered while building the effective
        model for org.apache.hadoop:hadoop-hdfs:jar:2.0.5-alpha
      [WARNING] 'build.plugins.plugin[org.codehaus.mojo.jspc:jspc-maven-plugin].dependencies.dependency.exclusions.exclusion.artifactId'
        for org.codehaus.mojo.jspc:jspc-compiler-tomcat6:jar
        with value '*' does not match a valid id pattern.
        @ line 270, column 37
      [WARNING] 
      [WARNING] Some problems were encountered while building the effective
        model for org.apache.hadoop:hadoop-main:pom:2.0.5-alpha
      [WARNING] 'build.plugins.plugin.version' for
        org.apache.maven.plugins:maven-javadoc-plugin is missing.
        @ line 362, column 19
      [WARNING] 
      [WARNING] It is highly recommended to fix these problems because they
        threaten the stability of your build.
      [WARNING] 
      [WARNING] For this reason, future Maven versions might no longer
        support building such malformed projects.
      [WARNING] 

  * Package builds a daemon, but no hardening flags are enabled

    ---> add `%global _hardened_build 1` on top of spec.

  * rpmlint reveals lots of malformed symlinks looking like this:

    /path/[file][other_file].jar --> target

    ---> What are these about? Please fix them.

  * There are loads of other rpmlint complains.

    ---> please investigate and fix.

  * There are some duplicate files inside different rpms.

      ./hadoop-mapreduce-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-mapreduce-2.0.5/CHANGES.txt
      ./hadoop-mapreduce-examples-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-mapreduce-examples-2.0.5/CHANGES.txt

      ./hadoop-mapreduce-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-mapreduce-2.0.5/LICENSE.txt
      ./hadoop-mapreduce-examples-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-mapreduce-examples-2.0.5/LICENSE.txt
      ./hadoop-yarn-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-yarn-2.0.5/LICENSE.txt

      ./hadoop-hdfs-2.0.5-1.fc20.x86_64.rpm/usr/sbin/hdfs-config.sh
      ./hadoop-hdfs-2.0.5-1.fc20.x86_64.rpm/usr/libexec/hdfs-config.sh

      ./hadoop-javadoc-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-javadoc-2.0.5/README.txt
      ./hadoop-devel-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-devel-2.0.5/README.txt
      ./hadoop-common-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-common-2.0.5/README.txt

      ./hadoop-javadoc-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-javadoc-2.0.5/CHANGES.txt
      ./hadoop-devel-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-devel-2.0.5/CHANGES.txt
      ./hadoop-common-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-common-2.0.5/CHANGES.txt

      ./hadoop-javadoc-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-javadoc-2.0.5/LICENSE.txt
      ./hadoop-devel-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-devel-2.0.5/LICENSE.txt
      ./hadoop-common-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-common-2.0.5/LICENSE.txt

      ./hadoop-hdfs-fuse-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-hdfs-fuse-2.0.5/NOTICE.txt
      ./hadoop-javadoc-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-javadoc-2.0.5/NOTICE.txt
      ./hadoop-devel-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-devel-2.0.5/NOTICE.txt
      ./hadoop-hdfs-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-hdfs-2.0.5/NOTICE.txt
      ./hadoop-common-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-common-2.0.5/NOTICE.txt
      ./hadoop-libhdfs-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-libhdfs-2.0.5/NOTICE.txt
      ./hadoop-mapreduce-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-mapreduce-2.0.5/NOTICE.txt
      ./hadoop-mapreduce-examples-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-mapreduce-examples-2.0.5/NOTICE.txt
      ./hadoop-yarn-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-yarn-2.0.5/NOTICE.txt

      ./hadoop-hdfs-fuse-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-hdfs-fuse-2.0.5/CHANGES.txt
      ./hadoop-hdfs-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-hdfs-2.0.5/CHANGES.txt
      ./hadoop-libhdfs-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-libhdfs-2.0.5/CHANGES.txt

      ./hadoop-hdfs-fuse-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-hdfs-fuse-2.0.5/LICENSE.txt
      ./hadoop-hdfs-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-hdfs-2.0.5/LICENSE.txt
      ./hadoop-libhdfs-2.0.5-1.fc20.x86_64.rpm/usr/share/doc/hadoop-libhdfs-2.0.5/LICENSE.txt

    ---> please fix this.

  * The -examples-subpkg is empty, but LICENSE and README...

  * There are some other servere issues, see report.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

  ---> This will go into F19+, I assume?
       So you should use those "new" xmav-macros.

- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

  ---> use fix-perms-macro to correct them.

- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

  ---> pacakge them to -devel-subpkg.

- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in hadoop-common,
  hadoop-devel, hadoop-hdfs, hadoop-hdfs-fuse, hadoop-libhdfs, hadoop-
  mapreduce, hadoop-mapreduce-examples, hadoop-yarn
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

  ---> I'll inspect this closer during later review.

- Package consistently uses macro is (instead of hard-coded directory names).
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

  ---> please decide to use either the one OR the other

- Javadoc subpackages should not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java

  ---> remove the explicit Requires, please.

- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 2293760 bytes in 26 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

  ---> -javadoc-subpkg MUST be noarch.
       I'll inspect this closer during later review.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[ ]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hadoop-
     common , hadoop-devel , hadoop-hdfs , hadoop-hdfs-fuse , hadoop-javadoc ,
     hadoop-libhdfs , hadoop-mapreduce , hadoop-mapreduce-examples , hadoop-
     yarn
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "BSD (2 clause)", "Apache (v2.0) BSD (3 clause)",
     "Unknown or generated", "*No copyright* Apache (v2.0)". 43 files have
     unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/985087-hadoop/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[ ]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[ ]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id} -u -n)
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[ ]: Packages are noarch unless they use JNI
     Note: hadoop-common subpackage is not noarch. Please verify manually
[ ]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 307118080 bytes in /usr/share 3594240
     hadoop-yarn-2.0.5-1.fc20.x86_64.rpm 4997120 hadoop-
     hdfs-2.0.5-1.fc20.x86_64.rpm 532480 hadoop-devel-2.0.5-1.fc20.x86_64.rpm
     290027520 hadoop-javadoc-2.0.5-1.fc20.x86_64.rpm 542720 hadoop-mapreduce-
     examples-2.0.5-1.fc20.x86_64.rpm 3901440 hadoop-
     mapreduce-2.0.5-1.fc20.x86_64.rpm 225280 hadoop-
     libhdfs-2.0.5-1.fc20.x86_64.rpm 3072000 hadoop-
     common-2.0.5-1.fc20.x86_64.rpm 225280 hadoop-hdfs-
     fuse-2.0.5-1.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hadoop-common-2.0.5-1.fc20.x86_64.rpm
          hadoop-devel-2.0.5-1.fc20.x86_64.rpm
          hadoop-hdfs-2.0.5-1.fc20.x86_64.rpm
          hadoop-hdfs-fuse-2.0.5-1.fc20.x86_64.rpm
          hadoop-javadoc-2.0.5-1.fc20.x86_64.rpm
          hadoop-libhdfs-2.0.5-1.fc20.x86_64.rpm
          hadoop-mapreduce-2.0.5-1.fc20.x86_64.rpm
          hadoop-mapreduce-examples-2.0.5-1.fc20.x86_64.rpm
          hadoop-yarn-2.0.5-1.fc20.x86_64.rpm
hadoop-common.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libhadoop.so.1.0.0 ['$ORIGIN/']
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-http].jar /usr/share/java/jetty/jetty-http.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[httpcomponents][httpcore].jar /usr/share/java/httpcomponents/httpcore.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[zookeeper]zookeeper-ZooInspector.jar /usr/share/java/zookeeper/zookeeper-ZooInspector.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jets3t][jets3t].jar /usr/share/java/jets3t/jets3t.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-io].jar /usr/share/java/jetty/jetty-io.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[slf4j][api].jar /usr/share/java/slf4j/api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-server].jar /usr/share/java/jetty/jetty-server.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-httpclient].jar /usr/share/java/commons-httpclient.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-xc].jar /usr/share/java/jackson/jackson-xc.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-math3].jar /usr/share/java/commons-math3.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[avro][avro].jar /usr/share/java/avro/avro.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-cli].jar /usr/share/java/commons-cli.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[tomcat-servlet-api].jar /usr/share/java/tomcat-servlet-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-util-ajax].jar /usr/share/java/jetty/jetty-util-ajax.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-servlet].jar /usr/share/java/jersey/jersey-servlet.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[glassfish-jaxb][jaxb-impl].jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[zookeeper]zookeeper.jar /usr/share/java/zookeeper/zookeeper.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jsr-305].jar /usr/share/java/jsr-305.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[java-xmlbuilder].jar /usr/share/java/java-xmlbuilder.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-el].jar /usr/share/java/commons-el.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[slf4j][log4j12].jar /usr/share/java/slf4j/log4j12.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[guava].jar /usr/share/java/guava.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[relaxngDatatype].jar /usr/share/java/relaxngDatatype.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[zookeeper]zookeeper-test.jar /usr/share/java/zookeeper/zookeeper-test.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-security].jar /usr/share/java/jetty/jetty-security.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-xml].jar /usr/share/java/jetty/jetty-xml.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jettison].jar /usr/share/java/jettison.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-net].jar /usr/share/java/commons-net.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[istack-commons-runtime].jar /usr/share/java/istack-commons-runtime.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jms].jar /usr/share/java/jms.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[txw2].jar /usr/share/java/txw2.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[glassfish-jsp].jar /usr/share/java/glassfish-jsp.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-jaxrs].jar /usr/share/java/jackson/jackson-jaxrs.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[tomcat][tomcat-el-2.2-api].jar /usr/share/java/tomcat/tomcat-el-2.2-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[avalon-framework-api].jar /usr/share/java/avalon-framework-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[base64].jar /usr/share/java/base64.jar
hadoop-common.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libhadoop.so
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[httpcomponents][httpclient].jar /usr/share/java/httpcomponents/httpclient.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-servlet].jar /usr/share/java/jetty/jetty-servlet.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-collections].jar /usr/share/java/commons-collections.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[snappy-java].jar /usr/share/java/snappy-java.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-configuration].jar /usr/share/java/commons-configuration.jar
hadoop-common.x86_64: E: script-without-shebang /usr/libexec/hadoop-config.sh
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-webapp].jar /usr/share/java/jetty/jetty-webapp.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-json].jar /usr/share/java/jersey/jersey-json.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[avalon-logkit].jar /usr/share/java/avalon-logkit.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-codec].jar /usr/share/java/commons-codec.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[paranamer][paranamer].jar /usr/share/java/paranamer/paranamer.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jsch].jar /usr/share/java/jsch.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[glassfish-jsp-api].jar /usr/share/java/glassfish-jsp-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-lang].jar /usr/share/java/commons-lang.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[xmlenc].jar /usr/share/java/xmlenc.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[javamail][mail].jar /usr/share/java/javamail/mail.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-logging].jar /usr/share/java/commons-logging.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-util].jar /usr/share/java/jetty/jetty-util.jar
hadoop-common.x86_64: W: no-manual-page-for-binary start-all.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-secure-dns.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-dfs.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-balancer.sh
hadoop-common.x86_64: W: no-manual-page-for-binary start-balancer.sh
hadoop-common.x86_64: W: no-manual-page-for-binary start-secure-dns.sh
hadoop-common.x86_64: W: no-manual-page-for-binary hadoop
hadoop-common.x86_64: W: no-manual-page-for-binary hadoop-daemons.sh
hadoop-common.x86_64: W: no-manual-page-for-binary slaves.sh
hadoop-common.x86_64: W: no-manual-page-for-binary hadoop-daemon.sh
hadoop-common.x86_64: W: no-manual-page-for-binary start-dfs.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-all.sh
hadoop-common.x86_64: W: no-manual-page-for-binary rcc
hadoop-devel.x86_64: W: spelling-error %description -l en_US libhdfs -> libidos
hadoop-hdfs.x86_64: W: only-non-binary-in-usr-lib
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-hdfs.x86_64: W: non-standard-uid /var/cache/hadoop-hdfs hdfs
hadoop-hdfs.x86_64: W: non-standard-gid /var/cache/hadoop-hdfs hadoop
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-codec].jar /usr/share/java/commons-codec.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-io].jar /usr/share/java/jetty/jetty-io.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[guava].jar /usr/share/java/guava.jar
hadoop-hdfs.x86_64: W: non-standard-uid /var/log/hadoop-hdfs hdfs
hadoop-hdfs.x86_64: W: non-standard-gid /var/log/hadoop-hdfs hadoop
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[javamail][mail].jar /usr/share/java/javamail/mail.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-daemon].jar /usr/share/java/commons-daemon.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-server].jar /usr/share/java/jetty/jetty-server.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-util].jar /usr/share/java/jetty/jetty-util.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[avalon-logkit].jar /usr/share/java/avalon-logkit.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-cli].jar /usr/share/java/commons-cli.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-logging].jar /usr/share/java/commons-logging.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-http].jar /usr/share/java/jetty/jetty-http.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[avalon-framework-api].jar /usr/share/java/avalon-framework-api.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[tomcat-servlet-api].jar /usr/share/java/tomcat-servlet-api.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[xmlenc].jar /usr/share/java/xmlenc.jar
hadoop-hdfs.x86_64: W: non-standard-uid /var/run/hadoop-hdfs hdfs
hadoop-hdfs.x86_64: W: non-standard-gid /var/run/hadoop-hdfs hadoop
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-lang].jar /usr/share/java/commons-lang.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-hdfs.x86_64: W: no-manual-page-for-binary hdfs
hadoop-hdfs.x86_64: W: no-manual-page-for-binary distribute-exclude.sh
hadoop-hdfs.x86_64: W: no-manual-page-for-binary hdfs-create-dirs
hadoop-hdfs.x86_64: W: no-manual-page-for-binary hdfs-config.sh
hadoop-hdfs.x86_64: W: no-manual-page-for-binary refresh-namenodes.sh
hadoop-hdfs-fuse.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/fuse_dfs ['/usr/lib/jvm/java/jre/lib/amd64/server', '/builddir/build/BUILD/hadoop-common-b92d9bcf559cc2e62fc166e09bd2852766b27bec/hadoop-hdfs-project/hadoop-hdfs/target/native/target/usr/local/lib']
hadoop-hdfs-fuse.x86_64: E: non-standard-executable-perm /usr/bin/fuse_dfs 0775L
hadoop-hdfs-fuse.x86_64: W: no-manual-page-for-binary fuse_dfs
hadoop-libhdfs.x86_64: E: explicit-lib-dependency zlib
hadoop-libhdfs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libhdfs.so
hadoop-mapreduce.x86_64: W: only-non-binary-in-usr-lib
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[guava].jar /usr/share/java/guava.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/hadoop-annotations-2.0.5-alpha.jar /usr/share/java/hadoop/hadoop-annotations-2.0.5-alpha.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[aopalliance].jar /usr/share/java/aopalliance.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[hamcrest][core].jar /usr/share/java/hamcrest/core.jar
hadoop-mapreduce.x86_64: W: non-standard-uid /var/log/hadoop-mapreduce mapred
hadoop-mapreduce.x86_64: W: non-standard-gid /var/log/hadoop-mapreduce hadoop
hadoop-mapreduce.x86_64: W: non-standard-uid /var/cache/hadoop-mapreduce mapred
hadoop-mapreduce.x86_64: W: non-standard-gid /var/cache/hadoop-mapreduce hadoop
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[atinject].jar /usr/share/java/atinject.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/hadoop-mapreduce-examples-2.0.5-alpha.jar /usr/share/java/hadoop/hadoop-mapreduce-examples-2.0.5-alpha.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[avro][avro].jar /usr/share/java/avro/avro.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[guice][guice-servlet].jar /usr/share/java/guice/guice-servlet.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[google-guice].jar /usr/share/java/google-guice.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[paranamer][paranamer].jar /usr/share/java/paranamer/paranamer.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[junit].jar /usr/share/java/junit.jar
hadoop-mapreduce.x86_64: W: non-standard-uid /var/run/hadoop-mapreduce mapred
hadoop-mapreduce.x86_64: W: non-standard-gid /var/run/hadoop-mapreduce hadoop
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-servlet].jar /usr/share/java/jersey/jersey-servlet.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jzlib].jar /usr/share/java/jzlib.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-guice].jar /usr/share/java/jersey/jersey-guice.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[snappy-java].jar /usr/share/java/snappy-java.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[netty].jar /usr/share/java/netty.jar
hadoop-mapreduce.x86_64: W: no-manual-page-for-binary mapred
hadoop-mapreduce.x86_64: W: no-manual-page-for-binary mr-jobhistory-daemon.sh
hadoop-yarn.x86_64: E: explicit-lib-dependency cglib
hadoop-yarn.x86_64: E: explicit-lib-dependency jzlib
hadoop-yarn.x86_64: W: only-non-binary-in-usr-lib
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[atinject].jar /usr/share/java/atinject.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[google-guice].jar /usr/share/java/google-guice.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-yarn.x86_64: W: non-standard-uid /var/run/hadoop-yarn yarn
hadoop-yarn.x86_64: W: non-standard-gid /var/run/hadoop-yarn hadoop
hadoop-yarn.x86_64: W: non-standard-uid /var/log/hadoop-yarn yarn
hadoop-yarn.x86_64: W: non-standard-gid /var/log/hadoop-yarn hadoop
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-servlet].jar /usr/share/java/jersey/jersey-servlet.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[aopalliance].jar /usr/share/java/aopalliance.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/hadoop-annotations-2.0.5-alpha.jar /usr/share/java/hadoop/hadoop-annotations-2.0.5-alpha.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[paranamer][paranamer].jar /usr/share/java/paranamer/paranamer.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[guava].jar /usr/share/java/guava.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[netty].jar /usr/share/java/netty.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-guice].jar /usr/share/java/jersey/jersey-guice.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[guice][guice-servlet].jar /usr/share/java/guice/guice-servlet.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[cglib].jar /usr/share/java/cglib.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jzlib].jar /usr/share/java/jzlib.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[junit].jar /usr/share/java/junit.jar
hadoop-yarn.x86_64: W: non-standard-uid /var/cache/hadoop-yarn yarn
hadoop-yarn.x86_64: W: non-standard-gid /var/cache/hadoop-yarn hadoop
hadoop-yarn.x86_64: W: non-standard-gid /usr/bin/container-executor yarn
hadoop-yarn.x86_64: E: setuid-binary /usr/bin/container-executor root 06050L
hadoop-yarn.x86_64: E: setgid-binary /usr/bin/container-executor yarn 06050L
hadoop-yarn.x86_64: E: non-standard-executable-perm /usr/bin/container-executor 06050L
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[avro][avro].jar /usr/share/java/avro/avro.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[hamcrest][core].jar /usr/share/java/hamcrest/core.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[snappy-java].jar /usr/share/java/snappy-java.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-yarn.x86_64: E: script-without-shebang /usr/libexec/yarn-config.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary yarn-daemons.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary stop-yarn.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary yarn-daemon.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary yarn
hadoop-yarn.x86_64: W: no-manual-page-for-binary container-executor
hadoop-yarn.x86_64: W: no-manual-page-for-binary start-yarn.sh
9 packages and 0 specfiles checked; 11 errors, 188 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint hadoop-mapreduce hadoop-javadoc hadoop-common hadoop-yarn 
 hadoop-hdfs-fuse hadoop-libhdfs hadoop-devel hadoop-hdfs hadoop-mapreduce-examp 
les
hadoop-mapreduce.x86_64: W: only-non-binary-in-usr-lib
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[guava].jar /usr/share/java/guava.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/hadoop-annotations-2.0.5-alpha.jar /usr/share/java/hadoop/hadoop-annotations-2.0.5-alpha.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[aopalliance].jar /usr/share/java/aopalliance.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[hamcrest][core].jar /usr/share/java/hamcrest/core.jar
hadoop-mapreduce.x86_64: W: non-standard-uid /var/log/hadoop-mapreduce mapred
hadoop-mapreduce.x86_64: W: non-standard-gid /var/log/hadoop-mapreduce hadoop
hadoop-mapreduce.x86_64: W: non-standard-uid /var/cache/hadoop-mapreduce mapred
hadoop-mapreduce.x86_64: W: non-standard-gid /var/cache/hadoop-mapreduce hadoop
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[atinject].jar /usr/share/java/atinject.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/hadoop-mapreduce-examples-2.0.5-alpha.jar /usr/share/java/hadoop/hadoop-mapreduce-examples-2.0.5-alpha.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[avro][avro].jar /usr/share/java/avro/avro.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[guice][guice-servlet].jar /usr/share/java/guice/guice-servlet.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[google-guice].jar /usr/share/java/google-guice.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[paranamer][paranamer].jar /usr/share/java/paranamer/paranamer.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[junit].jar /usr/share/java/junit.jar
hadoop-mapreduce.x86_64: W: non-standard-uid /var/run/hadoop-mapreduce mapred
hadoop-mapreduce.x86_64: W: non-standard-gid /var/run/hadoop-mapreduce hadoop
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-servlet].jar /usr/share/java/jersey/jersey-servlet.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jzlib].jar /usr/share/java/jzlib.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-guice].jar /usr/share/java/jersey/jersey-guice.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[snappy-java].jar /usr/share/java/snappy-java.jar
hadoop-mapreduce.x86_64: W: dangling-symlink /usr/share/hadoop/mapreduce/lib/[netty].jar /usr/share/java/netty.jar
hadoop-mapreduce.x86_64: W: no-manual-page-for-binary mapred
hadoop-mapreduce.x86_64: W: no-manual-page-for-binary mr-jobhistory-daemon.sh
hadoop-common.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libhadoop.so.1.0.0 libjvm.so
hadoop-common.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libhadoop.so.1.0.0 ['$ORIGIN/']
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-http].jar /usr/share/java/jetty/jetty-http.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[httpcomponents][httpcore].jar /usr/share/java/httpcomponents/httpcore.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[zookeeper]zookeeper-ZooInspector.jar /usr/share/java/zookeeper/zookeeper-ZooInspector.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jets3t][jets3t].jar /usr/share/java/jets3t/jets3t.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-io].jar /usr/share/java/jetty/jetty-io.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[slf4j][api].jar /usr/share/java/slf4j/api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-server].jar /usr/share/java/jetty/jetty-server.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-httpclient].jar /usr/share/java/commons-httpclient.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-xc].jar /usr/share/java/jackson/jackson-xc.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-math3].jar /usr/share/java/commons-math3.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[avro][avro].jar /usr/share/java/avro/avro.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-cli].jar /usr/share/java/commons-cli.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[tomcat-servlet-api].jar /usr/share/java/tomcat-servlet-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-util-ajax].jar /usr/share/java/jetty/jetty-util-ajax.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-servlet].jar /usr/share/java/jersey/jersey-servlet.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[glassfish-jaxb][jaxb-impl].jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[zookeeper]zookeeper.jar /usr/share/java/zookeeper/zookeeper.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jsr-305].jar /usr/share/java/jsr-305.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[java-xmlbuilder].jar /usr/share/java/java-xmlbuilder.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-el].jar /usr/share/java/commons-el.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[slf4j][log4j12].jar /usr/share/java/slf4j/log4j12.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[guava].jar /usr/share/java/guava.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[relaxngDatatype].jar /usr/share/java/relaxngDatatype.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[zookeeper]zookeeper-test.jar /usr/share/java/zookeeper/zookeeper-test.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-security].jar /usr/share/java/jetty/jetty-security.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-xml].jar /usr/share/java/jetty/jetty-xml.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jettison].jar /usr/share/java/jettison.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-net].jar /usr/share/java/commons-net.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[istack-commons-runtime].jar /usr/share/java/istack-commons-runtime.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jms].jar /usr/share/java/jms.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[txw2].jar /usr/share/java/txw2.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[glassfish-jsp].jar /usr/share/java/glassfish-jsp.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jackson][jackson-jaxrs].jar /usr/share/java/jackson/jackson-jaxrs.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[tomcat][tomcat-el-2.2-api].jar /usr/share/java/tomcat/tomcat-el-2.2-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[avalon-framework-api].jar /usr/share/java/avalon-framework-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[base64].jar /usr/share/java/base64.jar
hadoop-common.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libhadoop.so
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[httpcomponents][httpclient].jar /usr/share/java/httpcomponents/httpclient.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-servlet].jar /usr/share/java/jetty/jetty-servlet.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-collections].jar /usr/share/java/commons-collections.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[snappy-java].jar /usr/share/java/snappy-java.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-configuration].jar /usr/share/java/commons-configuration.jar
hadoop-common.x86_64: E: script-without-shebang /usr/libexec/hadoop-config.sh
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-webapp].jar /usr/share/java/jetty/jetty-webapp.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jersey][jersey-json].jar /usr/share/java/jersey/jersey-json.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[avalon-logkit].jar /usr/share/java/avalon-logkit.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-codec].jar /usr/share/java/commons-codec.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[paranamer][paranamer].jar /usr/share/java/paranamer/paranamer.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jsch].jar /usr/share/java/jsch.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[glassfish-jsp-api].jar /usr/share/java/glassfish-jsp-api.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-lang].jar /usr/share/java/commons-lang.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[xmlenc].jar /usr/share/java/xmlenc.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[javamail][mail].jar /usr/share/java/javamail/mail.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[commons-logging].jar /usr/share/java/commons-logging.jar
hadoop-common.x86_64: W: dangling-symlink /usr/share/hadoop/common/lib/[jetty][jetty-util].jar /usr/share/java/jetty/jetty-util.jar
hadoop-common.x86_64: W: no-manual-page-for-binary start-all.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-secure-dns.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-dfs.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-balancer.sh
hadoop-common.x86_64: W: no-manual-page-for-binary start-balancer.sh
hadoop-common.x86_64: W: no-manual-page-for-binary start-secure-dns.sh
hadoop-common.x86_64: W: no-manual-page-for-binary hadoop
hadoop-common.x86_64: W: no-manual-page-for-binary hadoop-daemons.sh
hadoop-common.x86_64: W: no-manual-page-for-binary slaves.sh
hadoop-common.x86_64: W: no-manual-page-for-binary hadoop-daemon.sh
hadoop-common.x86_64: W: no-manual-page-for-binary start-dfs.sh
hadoop-common.x86_64: W: no-manual-page-for-binary stop-all.sh
hadoop-common.x86_64: W: no-manual-page-for-binary rcc
hadoop-yarn.x86_64: E: explicit-lib-dependency cglib
hadoop-yarn.x86_64: E: explicit-lib-dependency jzlib
hadoop-yarn.x86_64: W: only-non-binary-in-usr-lib
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[atinject].jar /usr/share/java/atinject.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[google-guice].jar /usr/share/java/google-guice.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-yarn.x86_64: W: non-standard-uid /var/run/hadoop-yarn yarn
hadoop-yarn.x86_64: W: non-standard-gid /var/run/hadoop-yarn hadoop
hadoop-yarn.x86_64: W: non-standard-uid /var/log/hadoop-yarn yarn
hadoop-yarn.x86_64: W: non-standard-gid /var/log/hadoop-yarn hadoop
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-servlet].jar /usr/share/java/jersey/jersey-servlet.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[aopalliance].jar /usr/share/java/aopalliance.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/hadoop-annotations-2.0.5-alpha.jar /usr/share/java/hadoop/hadoop-annotations-2.0.5-alpha.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[paranamer][paranamer].jar /usr/share/java/paranamer/paranamer.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[guava].jar /usr/share/java/guava.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[netty].jar /usr/share/java/netty.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-guice].jar /usr/share/java/jersey/jersey-guice.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[guice][guice-servlet].jar /usr/share/java/guice/guice-servlet.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[cglib].jar /usr/share/java/cglib.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jzlib].jar /usr/share/java/jzlib.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[junit].jar /usr/share/java/junit.jar
hadoop-yarn.x86_64: W: non-standard-uid /var/cache/hadoop-yarn yarn
hadoop-yarn.x86_64: W: non-standard-gid /var/cache/hadoop-yarn hadoop
hadoop-yarn.x86_64: W: non-standard-gid /usr/bin/container-executor yarn
hadoop-yarn.x86_64: E: setuid-binary /usr/bin/container-executor root 06050L
hadoop-yarn.x86_64: E: setgid-binary /usr/bin/container-executor yarn 06050L
hadoop-yarn.x86_64: E: non-standard-executable-perm /usr/bin/container-executor 06050L
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[avro][avro].jar /usr/share/java/avro/avro.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[hamcrest][core].jar /usr/share/java/hamcrest/core.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[snappy-java].jar /usr/share/java/snappy-java.jar
hadoop-yarn.x86_64: W: dangling-symlink /usr/share/hadoop/yarn/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-yarn.x86_64: E: script-without-shebang /usr/libexec/yarn-config.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary yarn-daemons.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary stop-yarn.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary yarn-daemon.sh
hadoop-yarn.x86_64: W: no-manual-page-for-binary yarn
hadoop-yarn.x86_64: W: no-manual-page-for-binary container-executor
hadoop-yarn.x86_64: W: no-manual-page-for-binary start-yarn.sh
hadoop-hdfs-fuse.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/fuse_dfs ['/usr/lib/jvm/java/jre/lib/amd64/server', '/builddir/build/BUILD/hadoop-common-b92d9bcf559cc2e62fc166e09bd2852766b27bec/hadoop-hdfs-project/hadoop-hdfs/target/native/target/usr/local/lib']
hadoop-hdfs-fuse.x86_64: E: non-standard-executable-perm /usr/bin/fuse_dfs 0775L
hadoop-hdfs-fuse.x86_64: W: no-manual-page-for-binary fuse_dfs
hadoop-libhdfs.x86_64: E: explicit-lib-dependency zlib
hadoop-libhdfs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libhdfs.so
hadoop-devel.x86_64: W: spelling-error %description -l en_US libhdfs -> libidos
hadoop-hdfs.x86_64: W: only-non-binary-in-usr-lib
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jersey][jersey-server].jar /usr/share/java/jersey/jersey-server.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jersey][jersey-core].jar /usr/share/java/jersey/jersey-core.jar
hadoop-hdfs.x86_64: W: non-standard-uid /var/cache/hadoop-hdfs hdfs
hadoop-hdfs.x86_64: W: non-standard-gid /var/cache/hadoop-hdfs hadoop
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-codec].jar /usr/share/java/commons-codec.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-io].jar /usr/share/java/jetty/jetty-io.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[guava].jar /usr/share/java/guava.jar
hadoop-hdfs.x86_64: W: non-standard-uid /var/log/hadoop-hdfs hdfs
hadoop-hdfs.x86_64: W: non-standard-gid /var/log/hadoop-hdfs hadoop
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jackson][jackson-core-asl].jar /usr/share/java/jackson/jackson-core-asl.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[javamail][mail].jar /usr/share/java/javamail/mail.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-daemon].jar /usr/share/java/commons-daemon.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-server].jar /usr/share/java/jetty/jetty-server.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[protobuf].jar /usr/share/java/protobuf.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-util].jar /usr/share/java/jetty/jetty-util.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[avalon-logkit].jar /usr/share/java/avalon-logkit.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jsr-311].jar /usr/share/java/jsr-311.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-cli].jar /usr/share/java/commons-cli.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[log4j].jar /usr/share/java/log4j.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-logging].jar /usr/share/java/commons-logging.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jetty][jetty-http].jar /usr/share/java/jetty/jetty-http.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[avalon-framework-api].jar /usr/share/java/avalon-framework-api.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-io].jar /usr/share/java/commons-io.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[objectweb-asm][asm].jar /usr/share/java/objectweb-asm/asm.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[tomcat-servlet-api].jar /usr/share/java/tomcat-servlet-api.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[xmlenc].jar /usr/share/java/xmlenc.jar
hadoop-hdfs.x86_64: W: non-standard-uid /var/run/hadoop-hdfs hdfs
hadoop-hdfs.x86_64: W: non-standard-gid /var/run/hadoop-hdfs hadoop
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[commons-lang].jar /usr/share/java/commons-lang.jar
hadoop-hdfs.x86_64: W: dangling-symlink /usr/share/hadoop/hdfs/lib/[jackson][jackson-mapper-asl].jar /usr/share/java/jackson/jackson-mapper-asl.jar
hadoop-hdfs.x86_64: W: no-manual-page-for-binary hdfs
hadoop-hdfs.x86_64: W: no-manual-page-for-binary distribute-exclude.sh
hadoop-hdfs.x86_64: W: no-manual-page-for-binary hdfs-create-dirs
hadoop-hdfs.x86_64: W: no-manual-page-for-binary hdfs-config.sh
hadoop-hdfs.x86_64: W: no-manual-page-for-binary refresh-namenodes.sh
9 packages and 0 specfiles checked; 11 errors, 189 warnings.
# echo 'rpmlint-done:'



Requires
--------
hadoop-mapreduce (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    config(hadoop-mapreduce)
    hadoop-common
    hadoop-yarn
    jpackage-utils
    systemd

hadoop-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

hadoop-common (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    /usr/bin/env
    /usr/sbin/useradd
    apache-commons-cli
    apache-commons-codec
    apache-commons-collections
    apache-commons-configuration
    apache-commons-el
    apache-commons-io
    apache-commons-lang
    apache-commons-logging
    apache-commons-math
    apache-commons-net
    avalon-framework
    avalon-logkit
    avro
    commons-httpclient
    config(hadoop-common)
    coreutils
    geronimo-jms
    glassfish-jaxb
    glassfish-jsp
    glassfish-jsp-api
    guava
    httpcomponents-client
    httpcomponents-core
    istack-commons
    jackson
    java
    java-base64
    java-xmlbuilder
    javamail
    jersey
    jets3t
    jettison
    jetty-http
    jetty-io
    jetty-security
    jetty-server
    jetty-servlet
    jetty-util
    jetty-util-ajax
    jetty-webapp
    jetty-xml
    jpackage-utils
    jsch
    jsr-305
    jsr-311
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libhadoop.so.1.0.0()(64bit)
    libjvm.so()(64bit)
    log4j
    nc6
    objectweb-asm
    paranamer
    protobuf-java
    relaxngDatatype
    rtld(GNU_HASH)
    servlet3
    slf4j
    snappy-java
    tomcat-el-2.2-api
    tomcat-servlet-3.0-api
    txw2
    xmlenc
    zookeeper-java

hadoop-yarn (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    aopalliance
    atinject
    cglib
    config(hadoop-yarn)
    google-guice
    guice-servlet
    hadoop-common
    hamcrest
    jersey-contribs
    jpackage-utils
    junit
    jzlib
    libc.so.6()(64bit)
    netty
    rtld(GNU_HASH)
    systemd

hadoop-hdfs-fuse (rpmlib, GLIBC filtered):
    fuse
    hadoop-common
    hadoop-hdfs
    hadoop-libhdfs
    hadoop-mapreduce
    hadoop-yarn
    libc.so.6()(64bit)
    libfuse.so.2()(64bit)
    libfuse.so.2(FUSE_2.5)(64bit)
    libfuse.so.2(FUSE_2.6)(64bit)
    libfuse.so.2(FUSE_2.8)(64bit)
    libhdfs.so.0.0.0()(64bit)
    libjvm.so()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)

hadoop-libhdfs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    hadoop-hdfs
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libhdfs.so.0.0.0()(64bit)
    libjvm.so()(64bit)
    libjvm.so(SUNWprivate_1.1)(64bit)
    lzo
    rtld(GNU_HASH)
    zlib

hadoop-devel (rpmlib, GLIBC filtered):
    hadoop-libhdfs

hadoop-hdfs (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/env
    apache-commons-daemon
    apache-commons-daemon-jsvc
    config(hadoop-hdfs)
    hadoop-common
    jpackage-utils
    systemd

hadoop-mapreduce-examples (rpmlib, GLIBC filtered):
    hadoop-mapreduce
    hsqldb
    jpackage-utils



Provides
--------
hadoop-mapreduce:
    config(hadoop-mapreduce)
    hadoop-mapreduce
    hadoop-mapreduce(x86-64)
    mvn(org.apache.hadoop:hadoop-archives)
    mvn(org.apache.hadoop:hadoop-datajoin)
    mvn(org.apache.hadoop:hadoop-distcp)
    mvn(org.apache.hadoop:hadoop-extras)
    mvn(org.apache.hadoop:hadoop-gridmix)
    mvn(org.apache.hadoop:hadoop-mapreduce-client-app)
    mvn(org.apache.hadoop:hadoop-mapreduce-client-common)
    mvn(org.apache.hadoop:hadoop-mapreduce-client-core)
    mvn(org.apache.hadoop:hadoop-mapreduce-client-hs)
    mvn(org.apache.hadoop:hadoop-mapreduce-client-jobclient)
    mvn(org.apache.hadoop:hadoop-mapreduce-client-shuffle)
    mvn(org.apache.hadoop:hadoop-rumen)
    mvn(org.apache.hadoop:hadoop-streaming)

hadoop-javadoc:
    hadoop-javadoc
    hadoop-javadoc(x86-64)

hadoop-common:
    config(hadoop-common)
    hadoop-common
    hadoop-common(x86-64)
    libhadoop.so.1.0.0()(64bit)
    mvn(org.apache.hadoop:hadoop-annotations)
    mvn(org.apache.hadoop:hadoop-auth)
    mvn(org.apache.hadoop:hadoop-common)

hadoop-yarn:
    config(hadoop-yarn)
    hadoop-yarn
    hadoop-yarn(x86-64)
    mvn(org.apache.hadoop:hadoop-yarn-api)
    mvn(org.apache.hadoop:hadoop-yarn-applications-distributedshell)
    mvn(org.apache.hadoop:hadoop-yarn-applications-unmanaged-am-launcher)
    mvn(org.apache.hadoop:hadoop-yarn-client)
    mvn(org.apache.hadoop:hadoop-yarn-common)
    mvn(org.apache.hadoop:hadoop-yarn-server-common)
    mvn(org.apache.hadoop:hadoop-yarn-server-nodemanager)
    mvn(org.apache.hadoop:hadoop-yarn-server-resourcemanager)
    mvn(org.apache.hadoop:hadoop-yarn-server-tests)
    mvn(org.apache.hadoop:hadoop-yarn-server-web-proxy)
    mvn(org.apache.hadoop:hadoop-yarn-site)

hadoop-hdfs-fuse:
    hadoop-hdfs-fuse
    hadoop-hdfs-fuse(x86-64)

hadoop-libhdfs:
    hadoop-libhdfs
    hadoop-libhdfs(x86-64)
    libhdfs.so.0.0.0()(64bit)

hadoop-devel:
    hadoop-devel
    hadoop-devel(x86-64)

hadoop-hdfs:
    config(hadoop-hdfs)
    hadoop-hdfs
    hadoop-hdfs(x86-64)
    mvn(org.apache.hadoop:hadoop-hdfs)

hadoop-mapreduce-examples:
    hadoop-mapreduce-examples
    hadoop-mapreduce-examples(x86-64)
    mvn(org.apache.hadoop:hadoop-mapreduce-examples)



Unversioned so-files
--------------------
hadoop-common: /usr/lib64/libhadoop.so
hadoop-libhdfs: /usr/lib64/libhdfs.so

Source checksums
----------------
https://github.com/apache/hadoop-common/archive/b92d9bcf559cc2e62fc166e09bd2852766b27bec/hadoop-2.0.5-b92d9bc.tar.gz :
  CHECKSUM(SHA256) this package     : 928c63a1cabf3bccf91b5543e18d54723b71064b6901729d842a17e9a6af39da
  CHECKSUM(SHA256) upstream package : 928c63a1cabf3bccf91b5543e18d54723b71064b6901729d842a17e9a6af39da


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 985087

#####

Please fix as much issues as you can, at least the named ones, and I'll take another run.
Comment 6 Timothy St. Clair 2013-07-19 11:37:23 EDT
Recommend %conditionalize certain patches && systemd elements such that folks who may want to help transition to EPEL or other collaborators who may want to rebundle (OSG) could do so with relative ease.
Comment 7 Robert Rati 2013-07-19 15:58:08 EDT
Conditionalizing for inclusion in EPEL or other distributions is not planned at this time.  The first step is to get hadoop into fedora.  Additionally conditionalizing the patches could be some work.  In early efforts I tried to keep the patch set as different patches, but they ended up stepping on each other and there was no order that would allow the patches to apply cleanly.

Contributions for towards this goal are welcome but this functionality will not happen before hadoop lands in fedora.
Comment 10 Christopher Meng 2013-07-24 21:21:29 EDT
Suggestion:

Please use http://hadoop.apache.org as URL.
Comment 12 gil cattaneo 2013-08-06 13:30:32 EDT
Created attachment 915742 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 13 gil cattaneo 2013-08-06 13:47:10 EDT
there are other problems related to Requires
e.g.
hadhoop-yarn package
lits these Resquires:

Requires: aopalliance
Requires: atinject
Requires: google-guice
Requires: guice-servlet
Requires: hamcrest
Requires: jersey-contribs
Requires: junit

but in /usr/share/maven-fragments/hadoop-hadoop-yarn.xml
are already present (defined by maven/java tools):
google-guice
guice-servlet
jersey-contribs
junit

you should remove from Requires

and also check for the other subpackagesif there are duplicated entries
regards
Comment 14 Robert Rati 2013-08-07 14:10:01 EDT
These two files are included in other hadoop scripts and do nothing but set env variables.  They shouldn't have shebangs really.
hadoop-common.noarch: E: script-without-shebang /usr/libexec/hadoop-config.sh
hadoop-yarn.noarch: E: script-without-shebang /usr/libexec/yarn-config.sh

There are some similar files that do have shebangs, so upstream isn't consistent here.  If I was to go for consistency I'd say they should all not have shebangs, but that would produce more errors from rpmlint.  I would prefer changes be accepted upstream.

These are from the JNI libraries:
hadoop-common-native.i686: W: devel-file-in-non-devel-package /usr/lib/hadoop/libhadoop.so
hadoop-libhdfs.i686: W: devel-file-in-non-devel-package /usr/lib/hadoop/libhdfs.so


The ones like:
hadoop-yarn.noarch: W: only-non-binary-in-usr-lib

Are from systemd files

These are from permission guidelines from upstream:
hadoop-yarn-security.i686: E: setuid-binary /usr/bin/container-executor root 06050L
hadoop-yarn-security.i686: E: setgid-binary /usr/bin/container-executor yarn 06050L
hadoop-yarn-security.i686: E: non-standard-executable-perm /usr/bin/container-executor 06050L
and is documented in the spec
Comment 17 gil cattaneo 2013-08-08 13:11:10 EDT
Created attachment 915743 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 18 Mikolaj Izdebski 2013-08-15 02:54:03 EDT
For people that mentioned support for EPEL:  Keep in mind that hadoop and multiple of its dependencies require Apache Maven, which is missing in EPEL.  Adding Maven to EPEL is possible, but non-trivial as Maven with dependencies consists of more than 100 packages, most of which are missing in RHEL or EPEL, so adding hadoop to EPEL would require adding multiple new packages or porting it and dependencicies not to use Maven.
Comment 19 Christopher Meng 2013-08-15 03:08:11 EDT
(In reply to Mikolaj Izdebski from comment #18)
> For people that mentioned support for EPEL:  Keep in mind that hadoop and
> multiple of its dependencies require Apache Maven, which is missing in EPEL.
> Adding Maven to EPEL is possible, but non-trivial as Maven with dependencies
> consists of more than 100 packages, most of which are missing in RHEL or
> EPEL, so adding hadoop to EPEL would require adding multiple new packages or
> porting it and dependencicies not to use Maven.

+1.

We should first get it into Fedora, test it, get feedbacks, then moving focus to EPEL/RHE*
Comment 20 Björn "besser82" Esser 2013-08-20 15:02:56 EDT
Created attachment 915749 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 21 Robert Rati 2013-08-20 15:13:39 EDT
New Package SCM Request
=======================
Package Name: hadoop
Short Description: A software platform for processing vast amounts of data
Owners: rrati besser82
Branches: el5 el6
InitialCC:
Comment 22 Gwyn Ciesla 2013-08-20 15:53:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.